Retrieve an Appointment
const url = 'https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/appointments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/appointments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Retrieve an Appointments within a Business
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Business ID
Appointment ID
Responses
Section titled “ Responses ”An Appointment
object
A booked time slot between Staff(s), Patient, and potential resources.
object
Unique identifier across the platform.
Time when the resource was created (ISO 8601 format).
Time when the resource was created (ISO 8601 format).
Embedded service details
object
Unique identifier across the platform.
The name of the service.
The unique alias of the service.
Embedded staff member details
object
Unique identifier across the platform.
The full name of the Staff member.
The email address of the Staff member.
Embedded patient details
object
Unique identifier across the platform.
The full name of the patient.
The email address of the patient.
Embedded location details
object
Unique identifier across the platform.
The name of the location.
The address of the location.
Staff ID
Staff ID
The full name of the Staff member.
An optional list of extra Staff IDs for group bookings.
Staff ID
The start time of the appointment in UTC format.
The date of the appointment before any rescheduling.
How long the appointment lasts for.
The price of the appointment at the time of booking.
The ISO 4217 currency code.
Staff ID
Show whether or not this appointment has been cancelled.
Show whether or not this appointment has been approved.
The timezone of the patient.
The type of location for the appointment.
The value of the location for the appointment.
The payment provider used for the appointment.
The payment ID for the appointment.
The answers to the questions asked during booking.
object
The unique ID for the question
The unique variable name assigned to ths question
The question asked during booking
The answer given during booking
The ID of the recurring appointment this appointment belongs to.
The rrule string if appointment is recurring.
The recurrence object if appointment is recurring.
object
The reschedule URL for the appointment.
The reschedule URL for the appointment.
A list of tags associated with the appointment.
Example
{ "data": { "staffName": "John Doe", "currency": "usd", "cancelled": false, "approved": false, "patientTimezone": "Europe/London", "locationType": "meet", "locationValue": "https://meet.google.com/abc-defg-hij", "paymentProvider": "stripe", "rrule": "FREQ=WEEKLY;BYDAY=MO,WE,FR;INTERVAL=1;COUNT=10", "rescheduleUrl": "https://forms.upvio.com/acme/appointments/9222ea2b-34a4-477f-9568-35f7ee222f0c/reschedule?token=a9b0ca6781ca47bf80f97bdea29b0862", "cancelUrl": "https://forms.upvio.com/acme/appointments/9222ea2b-34a4-477f-9568-35f7ee222f0c/cancel?token=a9b0ca6781ca47bf80f97bdea29b0862" }}